# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20150221025001) do

  create_table "friendly_id_slugs", force: :cascade do |t|
    t.string   "slug",                      null: false
    t.integer  "sluggable_id",              null: false
    t.string   "sluggable_type", limit: 50
    t.string   "scope"
    t.datetime "created_at"
  end

  add_index "friendly_id_slugs", ["slug", "sluggable_type", "scope"], name: "index_friendly_id_slugs_on_slug_and_sluggable_type_and_scope", unique: true
  add_index "friendly_id_slugs", ["slug", "sluggable_type"], name: "index_friendly_id_slugs_on_slug_and_sluggable_type"
  add_index "friendly_id_slugs", ["sluggable_id"], name: "index_friendly_id_slugs_on_sluggable_id"
  add_index "friendly_id_slugs", ["sluggable_type"], name: "index_friendly_id_slugs_on_sluggable_type"

  create_table "group_memberships", force: :cascade do |t|
    t.integer "user_id"
    t.integer "group_id"
    t.integer "role_id"
  end

  create_table "groups", force: :cascade do |t|
    t.string  "group_name"
    t.string  "slug"
    t.boolean "can_alter",  default: true
    t.boolean "can_delete", default: true
  end

  add_index "groups", ["slug"], name: "index_groups_on_slug"

  create_table "groups_roles", force: :cascade do |t|
    t.integer "group_id"
    t.integer "role_id"
  end

  create_table "permissions", force: :cascade do |t|
    t.string   "permission_name"
    t.string   "slug"
    t.boolean  "can_alter",       default: true
    t.boolean  "can_delete",      default: true
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "permissions", ["slug"], name: "index_permissions_on_slug"

  create_table "roles", force: :cascade do |t|
    t.string   "role_name"
    t.string   "slug"
    t.boolean  "can_alter",  default: true
    t.boolean  "can_delete", default: true
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "roles", ["slug"], name: "index_roles_on_slug"

  create_table "roles_permissions", force: :cascade do |t|
    t.integer "role_id"
    t.integer "permission_id"
  end

  create_table "users", force: :cascade do |t|
    t.string   "first_name"
    t.string   "last_name"
    t.string   "user_name"
    t.string   "email"
    t.string   "password"
    t.string   "salt"
    t.string   "slug"
    t.string   "password_reset_token"
    t.datetime "password_reset_timestamp"
    t.string   "auth_token"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "users", ["slug"], name: "index_users_on_slug"

end
