FactoryGirl.define do
  sequence :user_email do |n|
    "user#{n}@example.com"
  end

  # Allows for multiple user names
  sequence :user_name do |n|
    "user#{n}"
  end

  sequence :permission_name do |n|
    "can_read#{n}"
  end

  sequence :role_name do |n|
    "Member#{n}"
  end


  factory :user, :class => User do
    first_name 'Adam'
    last_name 'Something'
    user_name {generate :user_name}
    email {generate :user_email}
    password 'somePasswordThat_Is$ecure10!'
  end

  factory :admin, :class => User do
    first_name "Sample Admin"
    email "a@gmail.com"
    user_name "Admin_User_Name"
    password "admin_Password10985"
  end

  factory :member_role, :class => Role do
    role_name "Member"
  end

  factory :admin_role, :class => Role do
    role_name "Administrator"
  end

  factory :administrator_group, :class => Group do
    group_name "Administrator"
  end

  factory :member_group, :class => Group do
    group_name "Member"
  end

  factory :can_read, :class => Permission do
    permission_name {generate :permission_name}
  end
end
