def setup_group_role_permissions_relations_for_administrator
  @user = FactoryGirl.create(:user)
  @role = FactoryGirl.create(:admin_role)
  @group = FactoryGirl.create(:administrator_group)
  @permission = FactoryGirl.create(:can_read)

  @role.add_permission = @permission.permission_name
  @group.add_role = @role.role_name

  @user.add_group_membership(@group, @role)
end

def setup_group_role_permissions_relations_for_memeber
  @user = FactoryGirl.create(:user)
  @role = FactoryGirl.create(:member_role)
  @group = FactoryGirl.create(:member_group)
  @permission = FactoryGirl.create(:can_read)

  @role.add_permission = @permission.permission_name
  @group.add_role = @role.role_name

  @user.add_group_membership(@group, @role)
end

def no_user_member_roles_relation
  @role = FactoryGirl.create(:member_role)
  @group = FactoryGirl.create(:member_group)
  @permission = FactoryGirl.create(:can_read)

  @role.add_permission = @permission.permission_name
  @group.add_role = @role.role_name
end

def create_login_regular_user
  setup_group_role_permissions_relations_for_memeber
  @user_login = FactoryGirl.build(:user)

  sign_in @user.user_name, @user_login.password
  cookies.signed[:auth_token] = @user.auth_token
end

def create_login_admin_user
  setup_group_role_permissions_relations_for_administrator
  @user_login = FactoryGirl.build(:user)

  sign_in @user.user_name, @user_login.password
  cookies.signed[:auth_token] = @user.auth_token
end
